using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 身高标准
    /// </summary>
    [SugarTable("YB_HeightStand", TableDescription = "身高标准", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_HeightStand
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 月龄
        /// </summary>
        [SugarColumn(ColumnDescription = "月龄")]
        public System.Int32 Month { get; set; }

        /// <summary>
        /// 性别,1-男,2-女
        /// </summary>
        [SugarColumn(ColumnDescription = " 性别,1-男,2-女")]
        public GenderType Sex { get; set; }

        /// <summary>
        /// -3SD
        /// </summary>
        [SugarColumn(ColumnDescription = "-3SD", ColumnDataType = "decimal(4,1)")]
        public System.Decimal f3sd { get; set; }

        /// <summary>
        /// -2SD
        /// </summary>
        [SugarColumn(ColumnDescription = "2SD", ColumnDataType = "decimal(4,1)")]
        public System.Decimal f2sd { get; set; }

        /// <summary>
        /// -1SD
        /// </summary>
        [SugarColumn(ColumnDescription = "1SD", ColumnDataType = "decimal(4,1)")]
        public System.Decimal f1sd { get; set; }

        /// <summary>
        /// 中位数
        /// </summary>
        [SugarColumn(ColumnDescription = "中位数", ColumnDataType = "decimal(4,1)")]
        public System.Decimal median { get; set; }

        /// <summary>
        /// +1SD
        /// </summary>
        [SugarColumn(ColumnDescription = "1SD", ColumnDataType = "decimal(4,1)")]
        public System.Decimal z1sd { get; set; }

        /// <summary>
        /// +2SD
        /// </summary>
        [SugarColumn(ColumnDescription = "2SD", ColumnDataType = "decimal(4,1)")]
        public System.Decimal z2sd { get; set; }

        /// <summary>
        /// +3SD
        /// </summary>
        [SugarColumn(ColumnDescription = "3SD", ColumnDataType = "decimal(4,1)")]
        public System.Decimal z3sd { get; set; }
    }
}
